## org.hibernate.internal.jaxb
Class Origin

    java.lang.Object
      org.hibernate.internal.jaxb.Origin

All Implemented Interfaces:
  Serializable

    public class Origin

extends Object
implements Serializable

Describes the origin of an xml document

See Also:
  Serialized Form

Constructor Summary
`Origin(SourceType type, String name)`

Method Summary
`String` `getName()` The name of the document origin.
`SourceType` `getType()` Retrieve the type of origin.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Origin

    public Origin(SourceType type,
                  String name)

Method Detail

### getType

    public SourceType getType()

  Retrieve the type of origin.

  Returns:
    The origin type.

### getName

    public String getName()

  The name of the document origin. Interpretation is relative to the type, but might be the resource name or file URL.

  Returns:
    The name.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.